<?php
/*
 * Naijadev Clone 3.1.0 (http://naijadev.ml or http://naijadev.in)
 *
 * For copyright and license information, please see the LICENSE.md
 * Installing the system or redistributions of files must retain the above copyright notice.
 *
 * @link        http://facebook.com/tunzxywalex Tunz Project
 * @email		Tunzxywalex@gmail.com
 * @Whatsapp	+2349076642400
 * @copyright   Copyright (C) Naijadev Community 2018
 * @license     Premium Version Licence
 */

namespace Johncms\Forum;

class Elements extends \ArrayObject
{
    public function add($value) {
        $this->offsetSet($value, $value);
    }
    
    public function remove($value) {
        $this->offsetUnset($value);
    }
    
    public function exists($value) {
        return $this->offsetExists($value);
    }
    
    public function get() {
        return $this->getArrayCopy();
    }
}
